#!/bin/bash

head_n_arg=${1:-100}

# cp ../../../../../../waikato-independent-db/WAIKATO_INDEPENDENT.csv import.holding/.

input_csv_file="pre-import/MSAccessToCSV/WAIKATO_INDEPENDENT.csv"
output_csv_file="import/wi-head${head_n_arg}.csv"

if [ ! -f $input_csv_file ] ; then 
    echo "Error: Failed to find $input_csv_file to generate sample CSV file in 'import'" >&2
    exit 1
fi

echo "Generating CSV sample from head 1..$head_n_arg"
echo "  $input_csv_file -> $output_csv_file"

head -n $head_n_arg "$input_csv_file"  > "$output_csv_file"
